<?php
$block_titling_datas = get_field('block_titling_datas');
?>

<section class="section_latest_news">
	<div class="section_titling">
		<h2 class="section_titling__title"><?php echo $block_titling_datas['title'] ?></h2>
		<p class="section_titling__subtitle"><?php echo $block_titling_datas['subtitle'] ?></p>
	</div>

	<div class="articles_container">
		<?php

		$args = array(
			'posts_per_page' => 4,
			'post_type' => 'post',
			'orderby' => 'post_date',
			'order' => 'DESC',
			'post_status' => 'publish' // Show only the published posts
		);
		$recentNewsPosts = new WP_Query($args);
		?>

		<?php if ($recentNewsPosts->have_posts()) : while ($recentNewsPosts->have_posts()) : $recentNewsPosts->the_post(); ?>
				<?php
				global $post;

				$post_thumbnail = get_the_post_thumbnail($post->ID, 'full', array('class' => 'card-news__thumbnail'));
				$news_type = get_the_terms($post->ID, "news_type") ?? null;
				$post_date = get_the_date('j.m.Y', $post->ID) ?? null;

				get_template_part(
					'template-components/cards/card-news',
					null,
					array(
						'card_variant' => 'activite',
						'post_ID' => $post->ID,
						'post_title' => get_the_title(),
						'post_thumbnail' => $post_thumbnail,
						'news_type' => $news_type,
						'post_date' => $post_date,
					)
				);
				?>
			<?php endwhile ?>
		<?php endif ?>
	</div>
	<?php
	$args = array(
		'meta_key' => '_wp_page_template',
		'meta_value' => "template-archive-news.php"
	);
	$relatedPageTemplatePage = get_pages($args) ? get_pages($args)[0] : null;
	?>
	<a id="see-all-news" class="cta cta--button cta--outline cta--button cta--centered" href="<?php echo get_the_permalink($relatedPageTemplatePage) ?>">
		<?php echo __("Lire les autres articles", "homegrade-theme__texte-fonctionnel__publications-archive-brochures") ?>
	</a>


</section>